﻿using System;
using System.Collections.Generic;
using System.Web;

namespace MDK
{
    /// <summary>
    /// 定数定義クラス
    /// </summary>
    public class Constants
    {
        /// <summary>
        /// コンストラクタ
        /// </summary>
        public Constants()
        {
        }

        /// <summary>
        /// VT Webの文字コード(UTF-8)
        /// </summary>
	    public static String VTW_ENCODE = "UTF-8";

        /// <summary>
        /// VT Webの文字コード(UTF8)
        /// </summary>
        public static System.Text.Encoding VTW_ENCODE_TYPE = System.Text.Encoding.UTF8;
	
        /// <summary>
        /// 日付変換パターン。誕生日の形式変換時に使用
        /// </summary>
	    public static String DATE_PATTERN_YYYYMMDD = "yyyyMMdd";

        /// <summary>
        /// 決済種別：VT Webにて指定
        /// </summary>
        public static String SETTLEMENT_TYPE_NONE = "00";

        /// <summary>
        /// 決済種別：カード
        /// </summary>
	    public static String SETTLEMENT_TYPE_CARD = "01";

        /// <summary>
        /// 決済種別：コンビニ
        /// </summary>
	    public static String SETTLEMENT_TYPE_CVS = "02";

        /// <summary>
        /// 決済種別：電子マネー
        /// </summary>
	    public static String SETTLEMENT_TYPE_EM = "03";

	    /// <summary>
        /// 決済種別：銀行
	    /// </summary>
	    public static String SETTLEMENT_TYPE_BANK = "04";

        /// <summary>
        /// 決済種別：ショッピングクレジット 
        /// </summary>
        public static String SETTLEMENT_TYPE_ORICOSC = "05";

        /// <summary>
        /// 決済種別：銀行振込 
        /// </summary>
        public static String SETTLEMENT_TYPE_VACC = "06";

	    /// <summary>
        /// デフォルト支払取消期限
	    /// </summary>
	    public static int DEFAULT_CANCEL_LIMIT_DAYS = 60;

	    /*******************************************************/
	    /*                                                     */
	    /* CVS CONSTANTS */
	    /*                                                     */
	    /*******************************************************/

	    /// <summary>
        /// コンビニ決済オプション：セブンイレブン
	    /// </summary>
	    public static String CVS_SUBTYPE_711 = "201";

	    /// <summary>
        /// コンビニ決済オプション：その他
	    /// </summary>
	    public static String CVS_SUBTYPE_OTHER = "204";

        /// <summary>
        /// ローソン、ファミリーマートその他
        /// </summary>
        public static String CVS_SUBTYPE_ECON = "205";

	    /*******************************************************/
	    /*                                                     */
	    /* EM CONSTANTS */
	    /*                                                     */
	    /*******************************************************/

	    /// <summary>
        /// 電子マネー決済オプション:PC EDY
	    /// </summary>
	    public static String EM_SUBTYPE_EDY_PC = "311";

	    /// <summary>
        /// 電子マネー決済オプション:モバイルEDY
	    /// </summary>
	    public static String EM_SUBTYPE_EDY_MOBILE = "312";

	    /// <summary>
        /// 電子マネー決済オプション:SUICAメール決済
	    /// </summary>
	    public static String EM_SUBTYPE_SUICA_PC = "321";

	    /// <summary>
        /// 電子マネー決済オプション:モバイルSUICAメール決済
	    /// </summary>
	    public static String EM_SUBTYPE_SUICA_MOBILE = "322";

	    /// <summary>
        /// 電子マネー決済オプション:PC WAON
	    /// </summary>
	    public static String EM_SUBTYPE_WAON_PC = "331";

	    /// <summary>
        /// 電子マネー決済オプション:モバイルWAON
	    /// </summary>
	    public static String EM_SUBTYPE_WAON_MOBILE = "332";

	    /*******************************************************/
	    /*                                                     */
	    /* BANK CONSTANTS */
	    /*                                                     */
	    /*******************************************************/

	    /// <summary>
        /// ATM決済(番号通知方式)
	    /// </summary>
	    public static String BANK_SUBTYPE_ATM = "411";

	    /// <summary>
        /// ネットバンク決済
	    /// </summary>
	    public static String BANK_SUBTYPE_NETBANK = "420";

	    /*******************************************************/
	    /*                                                     */
	    /* VT Web Results */
	    /*                                                     */
	    /*******************************************************/
	
	    /// <summary>
        /// 取引IDの取得キー
	    /// </summary>
	    public static String VTWRES_ORDER_ID = "orderId";

	    /// <summary>
        /// ステータスの取得キー
	    /// </summary>
	    public static String VTWRES_M_STATUS = "mStatus";

	    /// <summary>
        /// エラーメッセージの取得キー
	    /// </summary>
	    public static String VTWRES_M_ERR_MSG = "mErrMsg";

	    /// <summary>
        /// 結果コードの取得キー
	    /// </summary>
	    public static String VTWRES_V_RESULT_CODE = "vResultCode";

        /// <summary>
        /// 漢字氏名の取得キー
        /// </summary>
        public static String VTWRES_USERNAME = "userName";

        /// <summary>
        /// カナ氏名の取得キー
        /// </summary>
        public static String VTWRES_USERNAME_KANA = "userNameKana";

        /*******************************************************/
        /*                                                     */
        /* 決済結果照合 */
        /*                                                     */
        /*******************************************************/

        /// <summary>
        /// セッションIDの取得キー
        /// </summary>
        public static String SESSION_ID = "sessionId";
    }
}