﻿using System;
using System.Collections.Generic;
using System.Web;

namespace MDK
{
    /// <summary>
    /// 日付系ユーティリティ
    /// </summary>
    public class DateUtil
    {
        /// <summary>
        /// コンストラクタ
        /// </summary>
        public DateUtil()
        {
        }

        /// <summary>
        /// ログ出力用インスタンス
        /// </summary>
        private static readonly log4net.ILog logger = 
            log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);

        /// <summary>
        /// 現在から指定日数後の日付をYYYYMMDD形式で取得する
        /// </summary>
        /// <param name="paylimit">指定日数</param>
        /// <returns>指定日数後の(日付YYYYMMDD)</returns>
        public static String getDateYYYYMMDD(int paylimit)
        {
            DateTime dt = DateTime.Now;
            if (paylimit > 0)
            {
                return dt.AddDays(paylimit).ToString("yyyyMMdd"); ;
            }
            return dt.ToString("yyyyMMdd");
        }

        /// <summary>
        /// 現在から指定日数後の日付をYYYYMMDDhhmmss形式で取得する
        /// </summary>
        /// <param name="paylimit">指定日数</param>
        /// <returns>指定日数後の(日付YYYYMMDDhhmmss)</returns>
        public static String getDateYYYYMMDDhhmmss(int paylimit)
        {
            DateTime dt = DateTime.Now;
            if (paylimit > 0)
            {
                return dt.AddDays(paylimit).ToString("yyyyMMddHHmmss"); ;
            }
            return dt.ToString("yyyyMMddHHmmss");
        }

        /// <summary>
        /// DateTime→String(YYYYMMDD)変換
        /// </summary>
        /// <param name="date">変換元インスタンス</param>
        /// <returns>変換後文字列</returns>
        public static String getDateYYYYMMDD(DateTime date)
        {
            try
            {
                String retStr = date.ToString(Constants.DATE_PATTERN_YYYYMMDD);
                return retStr;
            }
            catch (Exception ex)
            {
                logger.Warn("日付変換でエラーが発生しました。", ex);
            }
            return String.Empty;
        }
    }
}