﻿using System;
using System.Collections.Generic;
using System.Web;
using System.IO;
using System.Text;
using System.Security.Cryptography;

namespace MDK
{
    /// <summary>
    /// ハッシュ値を生成する
    /// </summary>
    public class HashCodeCreater4Merchant
    {
        /// <summary>
        /// コンストラクタ
        /// </summary>
        public HashCodeCreater4Merchant()
        {
        }

        /// <summary>
        /// ログ出力用インスタンス
        /// </summary>
        private static readonly log4net.ILog logger =
            log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);

        /// <summary>
        /// マーチャントハッシュ作成。
        /// </summary>
        /// <param name="merchantID">マーチャントID</param>
        /// <param name="settlementmethod">決済方法</param>
        /// <param name="orderID">注文ID</param>
        /// <param name="amount">決済金額</param>
        /// <returns>マーチャントハッシュ</returns>
        public String getHash(String merchantID, String settlementmethod,
                               String orderID, String amount)
        {
            SHA512 shaM = new SHA512Managed();
        
            //MessageDigest md = MessageDigest.getInstance("SHA-512");
        
            StringBuilder sb = new StringBuilder();
        
            if (MerchantConf.getInfo().seed == null 
                    || MerchantConf.getInfo().seed.Equals("")) {
                logger.Info("シードが指定されていないのでハッシュ値は作成しません");
                return null;
            }
        
            sb.Append(MerchantConf.getInfo().seed);
            sb.Append("," + merchantID);
            sb.Append("," + settlementmethod);
            sb.Append("," + orderID);
            sb.Append("," + amount);
            byte[] data = Constants.VTW_ENCODE_TYPE.GetBytes(sb.ToString());

            //byte[] result = shaM.ComputeHash(data);

            return BytesToHexString(shaM.ComputeHash(data)).ToLower();
        }

        /// <summary>
        /// バイト型を16進数文字列に変換する。
        /// </summary>
        /// <param name="bytes">バイト配列のハッシュ値</param>
        /// <returns>文字列変換されたハッシュ値</returns>
        public String BytesToHexString(byte[] bytes)
        {
            StringBuilder sb = new StringBuilder();
            for (int i = 0; i < bytes.Length; i++)
            {
                sb.Append(bytes[i].ToString("X2"));
            }
            return sb.ToString();
        }
    }
}