﻿using System;
using System.Collections.Generic;
using System.Web;

namespace MDK
{
    /// <summary>
    /// VT Webへの送信パラメータ定義クラス。
    /// </summary>
    public class KeyDef
    {
        /// <summary>
        /// コンストラクタ
        /// </summary>
	    public KeyDef()
	    {
	    }

        /// <summary>
        /// PayNowID使用フラグ
        /// </summary>
        public static readonly String PAYNOWID_FLAG  = "PAYNOWID_FLAG";

        /// <summary>
        /// 会員ID
        /// </summary>
        public static readonly String ACCOUNT_ID = "ACCOUNT_ID";

        /// <summary>
        /// 登録時振込番号
        /// </summary>
        public static readonly String VACC_ENTRY_TRANSFER_NUMBER = "ENTRY_TRANSFER_NUMBER";

        /// <summary>
        /// 振込期限
        /// </summary>
        public static readonly String VACC_TRANSFER_EXPIRED_DATE = "TRANSFER_EXPIRED_DATE";

        /// <summary>
        /// 口座管理方式
        /// </summary>
        public static readonly String VACC_ACCOUNT_MANAGE_TYPE = "ACCOUNT_MANAGE_TYPE";

        /// <summary>
        /// 支店コード
        /// </summary>
        public static readonly String VACC_BRANCH_CODE = "BRANCH_CODE";

        /// <summary>
        /// 口座番号
        /// </summary>
        public static readonly String VACC_ACCOUNT_NUMBER = "ACCOUNT_NUMBER";

        /// <summary>
        /// 銀行口座関連付け拒否フラグ
        /// </summary>
        public static readonly String VACC_REJECT_BANK_ACCOUNT= "REJECT_BANK_ACCOUNT";

        /// <summary>
        /// 決済方法
        /// </summary>
        public static readonly String SETTLEMENT_TYPE = "SETTLEMENT_TYPE";

        /// <summary>
        /// 決済方法サブタイプ
        /// </summary>
        public static readonly String SETTLEMENT_SUB_TYPE = "SETTLEMENT_SUB_TYPE";

        /// <summary>
        /// マーチャントID
        /// </summary>
        public static readonly String MERCHANT_ID = "MERCHANT_ID";

        /// <summary>
        /// 注文ID
        /// </summary>
        public static readonly String ORDER_ID = "ORDER_ID";

        /// <summary>
        /// セッションID
        /// </summary>
        public static readonly String SESSION_ID = "SESSION_ID";

        /// <summary>
        /// 合計金額
        /// </summary>
        public static readonly String AMOUNT = "AMOUNT";

        /// <summary>
        /// カード売上フラグ
        /// </summary>
        public static readonly String CARD_CAPTURE_FLAG = "CARD_CAPTURE_FLAG";

        /// <summary>
        /// モバイルEdy用ショップ名
        /// </summary>
        public static readonly String SHOP_NAME = "SHOP_NAME";

        /// <summary>
        /// モバイルSuica用商品名
        /// </summary>
        public static readonly String SCREEN_TITLE = "SCREEN_TITLE";

        /// <summary>
        /// 請求内容
        /// </summary>
        public static readonly String CONTENTS = "CONTENTS";

        /// <summary>
        /// 請求内容カナ
        /// </summary>
        public static readonly String CONTENTS_KANA = "CONTENTS_KANA";

        /// <summary>
        /// 支払取消期限
        /// </summary>
        public static readonly String TIMELIMIT_OF_CANCEL = "TIMELIMIT_OF_CANCEL";

        /// <summary>
        /// マーチャント生成ハッシュ値
        /// </summary>
        public static readonly String MERCHANTHASH = "MERCHANTHASH";

        /// <summary>
        /// 決済完了後戻りURL
        /// </summary>
        public static readonly String FINISH_PAYMENT_RETURN_URL = "FINISH_PAYMENT_RETURN_URL";

        /// <summary>
        /// 未決済時戻りURL
        /// </summary>
        public static readonly String UNFINISH_PAYMENT_RETURN_URL = "UNFINISH_PAYMENT_RETURN_URL";

        /// <summary>
        /// 決済エラー時戻りURL
        /// </summary>
        public static readonly String ERROR_PAYMENT_RETURN_URL = "ERROR_PAYMENT_RETURN_URL";

        /// <summary>
        /// 決済完了報告URL
        /// </summary>
        public static readonly String FINISH_PAYMENT_ACCESS_URL = "FINISH_PAYMENT_ACCESS_URL";

        /// <summary>
        /// 言語選択可否フラグ
        /// </summary>
        public static readonly String LANG_ENABLE_FLAG = "LANG_ENABLE_FLAG";

        /// <summary>
        /// 使用言語
        /// </summary>
        public static readonly String LANG = "LANG";

        /// <summary>
        /// ダミー取引フラグ
        /// </summary>
        public static readonly String DUMMY_PAYMENT_FLAG = "DUMMY_PAYMENT_FLAG";

        /// <summary>
        /// 注文番号
        /// </summary>
        public static readonly String ORICO_ORDER_NO = "ORICO_ORDER_NO";

        /// <summary>
        /// 配送先郵便番号
        /// </summary>
        public static readonly String SHIPPING_ZIP_CODE = "SHIPPING_ZIP_CODE";

        /// <summary>
        /// 送料合計
        /// </summary>
        public static readonly String SHIPPING_AMOUNT = "SHIPPING_AMOUNT";

        /// <summary>
        /// 商品合計金額
        /// </summary>
        public static readonly String COMMODITY_AMOUNT = "COMMODITY_AMOUNT";

        

    }
}