﻿using System;
using System.Collections.Generic;
using System.Web;

namespace MDK
{
    /// <summary>
    /// エラーメッセージを保持するクラス
    /// </summary>
    public class MessageResources
    {
        /// <summary>
        /// コンストラクタ
        /// </summary>
        public MessageResources()
        {
        }

        /// <summary>
        /// 決済方法サブタイプ(コンビニ)用エラーメッセージ
        /// </summary>
        public static String ERR_CVS_SUBTYPE_INVALID = "お支払いをするコンビニエンスストアが不正です";

        /// <summary>
        /// 決済方法サブタイプ(電子マネー)用エラーメッセージ
        /// </summary>
        public static String ERR_EM_SUBTYPE_INVALID = "電子マネー種別が不正です";

        /// <summary>
        /// 決済方法サブタイプ(銀行)用エラーメッセージ
        /// </summary>
        public static String ERR_BANK_SUBTYPE_INVALID = "支払種別が不正です";

        /// <summary>
        /// VT Web送信失敗時エラーメッセージ
        /// </summary>
        public static String ERR_WEBSERVICE = "メッセージの送信に失敗しました<br>大変申し訳ありませんが、再度送信をお願い致します";

        /// <summary>
        /// VT Web送信失敗時エラーメッセージ
        /// </summary>
        public static String ERR_FORMGET = "大変申し訳ありませんが、再度送信をお願い致します";

        /// <summary>
        /// 商品情報用エラーメッセージ
        /// </summary>
        public static String ERR_COMMODITYINFO_INVALID = "システムのエラーです 商品情報の入力内容に不備があります";

        /// <summary>
        /// 商品情報用エラーメッセージ
        /// </summary>
        public static String ERR_COMMODITYINFO_UNMATCH = "システムのエラーです 商品名の入力個数と単価・個数の入力個数に不整合があります";

        /// <summary>
        /// 商品情報用エラーメッセージ
        /// </summary>
        public static String ERR_COMMODITYINFO_NOTNUMERIC = "システムのエラーです 単価・個数に非数値が入力されています";

        /// <summary>
        /// 配送先郵便番号エラーメッセージ
        /// </summary>
        public static String ERR_SHIPPINGCODE_NOTSET = "配送先郵便番号が入力されていません";

        /// <summary>
        /// 配送先郵便番号エラーメッセージ
        /// </summary>
        public static String ERR_SHIPPINGCODE_INVALID = "配送先郵便番号が不正です";

        /// <summary>
        /// 口座番号エラーメッセージ
        /// </summary>
        public static String ERR_ACCOUNTNUMBER_INVALID = "口座番号は半角数字で入力して下さい";

        /// <summary>
        /// 支店コードエラーメッセージ
        /// </summary>
        public static String ERR_BRANCHCODE_INVALID = "支店コードは半角数字で入力して下さい";
    }
}