﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using MDK;

namespace VTWebNET
{
    /// <summary>
    /// 決済後のブラウザ戻り画面
    /// </summary>
    public partial class DoPostActionBrowser : System.Web.UI.Page
    {
        private static String CONTENT_TYPE = "text/html; charset=" + Constants.VTW_ENCODE;

        /// <summary>
        /// ログ出力用インスタンス
        /// </summary>
        private static readonly log4net.ILog logger = 
            log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);

        /// <summary>
        /// ページロード時の処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            execute(Request);
        }

        /// <summary>
        /// リクエストを処理してレスポンスを返す
        /// </summary>
        /// <param name="request">リクエストクラス</param>
        public void execute(HttpRequest request)
        {
            logger.Info("決済結果整合性確認開始");

            request.ContentEncoding = Constants.VTW_ENCODE_TYPE;

            // リクエストの一覧を取得
            System.Collections.Specialized.NameValueCollection collection = null;
            if (request.QueryString.Count > 0)
                collection = request.QueryString;
            else if (request.Form.Count > 0)
                collection = request.Form;
            else
            {
                logger.Info("取引IDを取得できなかった");
                sendResponse("./FinishReturn.aspx");
                return;
            }

            for (int i = 0; i < collection.Count; i++)
            {
                String param = (String)collection.GetKey(i);
                logger.Info(param + ":" + HttpUtility.UrlDecode((String)collection.Get(i), Constants.VTW_ENCODE_TYPE));
            }
            String orderId = HttpUtility.UrlDecode(collection.Get(Constants.VTWRES_ORDER_ID), Constants.VTW_ENCODE_TYPE);

            bool complete = false;

            ResultData databean = new ResultData();

            String mStatus = HttpUtility.UrlDecode(collection.Get(Constants.VTWRES_M_STATUS), Constants.VTW_ENCODE_TYPE);
            //String mSrrMsg = HttpUtility.UrlDecode(collection.Get(Constants.VTWRES_M_ERR_MSG), Constants.VTW_ENCODE_TYPE);
            String vResultCode = HttpUtility.UrlDecode(collection.Get(Constants.VTWRES_V_RESULT_CODE), Constants.VTW_ENCODE_TYPE);

            databean.OrderId = orderId;
            databean.MStatus = mStatus;
            //databean.mErrMsg = mSrrMsg;
            databean.VResultCode = vResultCode;

            PostDataBox dataBox = PostDataBox.getInstance();
            System.Collections.Hashtable hash = dataBox.getBox(orderId);
            if (hash != null)
            {
                complete = ResultCheck.resultCrossCheck(hash, databean);
            }
            else
            {
                logger.Info("取引IDに該当する結果が有りません 取引ID=" + orderId);
            }

            // 結果表示のためにセッションに入れる。
            Session["hash"] = hash;
            Session["resultData"] = databean;
            Session["mattingResult"] = complete;

            // 結果表示ページへ
            Response.Redirect("./FinishReturn.aspx");
        }

        private void sendResponse(String str)
        {
            Response.ContentType = CONTENT_TYPE;
            Response.Write(str);
            Response.End();
        }
    }
}
