﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using MDK;

namespace VTWebNET
{
    public partial class DoPostActionVTW : System.Web.UI.Page
    {
        private static String CONTENT_TYPE = "text/html; charset=" + Constants.VTW_ENCODE;

        /// <summary>
        /// ログ出力用インスタンス
        /// </summary>
        private static readonly log4net.ILog logger =
            log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);

        /// <summary>
        /// ページロード時の処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            doPost(Request);
        }

        /**
         * リクエストを処理してレスポンスを返すメソッド
         * 
         * @param request リクエスト
         */
        public void doPost(HttpRequest request)
        {
            logger.Info("決済結果確認開始");

            request.ContentEncoding = Constants.VTW_ENCODE_TYPE;

            // リクエストの一覧を取得
            System.Collections.Specialized.NameValueCollection collection = null;
            if (request.QueryString.Count > 0)
                collection = request.QueryString;
            else if (request.Form.Count > 0)
                collection = request.Form;
            else
            {
                logger.Info("取引IDを取得できなかった");
                sendResponse("ERR");
                return;
            }

            for (int i = 0; i < collection.Count; i++)
            {
                String param = (String)collection.GetKey(i);
                logger.Info(param + ":" + HttpUtility.UrlDecode((String)collection.Get(i), Constants.VTW_ENCODE_TYPE));
            }
            String orderId = HttpUtility.UrlDecode(collection.Get(Constants.VTWRES_ORDER_ID), Constants.VTW_ENCODE_TYPE);


            PostDataBox dataBox = PostDataBox.getInstance();
            Hashtable hash = dataBox.getBox(orderId);

            if (hash == null)
            {
                // 該当取引IDがないため、新しく登録
                hash = new Hashtable();
            }
            else if (StringUtil.emptyString((String)hash[Constants.VTWRES_M_STATUS]) != null)
            {
                logger.Warn("該当する取引ID " + orderId +  " はすでに登録済み");
                sendResponse("ERR");
                return;
            }

            ResultData databean = new ResultData();

            // リクエストを取得
            String mStatus = HttpUtility.UrlDecode(collection.Get(Constants.VTWRES_M_STATUS), Constants.VTW_ENCODE_TYPE);
            String mSrrMsg = HttpUtility.UrlDecode(collection.Get(Constants.VTWRES_M_ERR_MSG), Constants.VTW_ENCODE_TYPE);
            String vResultCode = HttpUtility.UrlDecode(collection.Get(Constants.VTWRES_V_RESULT_CODE), Constants.VTW_ENCODE_TYPE);
            databean.OrderId = orderId;
            databean.MStatus = mStatus;
            databean.MErrMsg = mSrrMsg;
            databean.VResultCode = vResultCode;


            // 内容を確認してVTWへ返信
            if (ResultCheck.resultCheck(databean))
            {
                logger.Info("内容確認成功");
                hash.Add(Constants.VTWRES_M_STATUS, mStatus);
                hash.Add(Constants.VTWRES_M_ERR_MSG, mSrrMsg);
                hash.Add(Constants.VTWRES_V_RESULT_CODE, vResultCode);
                dataBox.setBox(orderId, hash);

                sendResponse("OK");

            }
            else
            {
                logger.Info("内容確認失敗");
                sendResponse("ERR");
            }
        }
        private void sendResponse(String str)
        {
            Response.ContentType = CONTENT_TYPE;
            Response.Write(str);
            Response.End();
        }
    }
}
