﻿using MDK;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;

namespace VTWebNET
{
    /// <summary>
    /// 決済完了後の結果パラメータ検証画面
    /// </summary>
    public partial class finishReturn : System.Web.UI.Page
    {
        /// <summary>
        /// 表示イベント
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            System.Collections.Hashtable hash = (Hashtable)Session["hash"];
            ResultData resultData = (ResultData)Session["resultData"];
            bool isMattingResult = (bool)Session["mattingResult"];

            if (resultData == null)
            {
                mattingResult.Text = "エラーが発生しました。";
            }
            else
            {
                // 決済処理結果
                mattingResult.Text = isMattingResult ? "決済処理成功" : "<span style = \"color:#FF0000;\" >決済処理エラー</span>";
                // 取引ID
                String orderId = (hash == null) ? "" : resultData.OrderId;
                orderIdVtw.Text = orderId;
                orderIdCons.Text = resultData.OrderId;
                orderIdValidateResult.Text = getValidateResult(ResultCheck.isMatch(orderId, resultData.OrderId));
                // ステータス
                String mStatus = (hash == null) ? "" : StringUtil.emptyString((String)hash[Constants.VTWRES_M_STATUS]);
                mStatusVtw.Text = mStatus;
                mStatusCons.Text = resultData.MStatus;
                mStatusValidateResult.Text = getValidateResult(ResultCheck.isMatch(mStatus, resultData.MStatus));
                // 結果コード
                String vResultCode = (hash == null) ? "" : StringUtil.emptyString((String)hash[Constants.VTWRES_V_RESULT_CODE]);
                vResultCodeVtw.Text = vResultCode;
                vResultCodeCons.Text = resultData.VResultCode;
                vResultCodeValidateResult.Text = getValidateResult(ResultCheck.isMatch(vResultCode, resultData.VResultCode));
            }
        }

        /// <summary>
        /// 検証結果を返す
        /// </summary>
        /// <param name="isMatch">ture/false</param>
        /// <returns>一致/不一致</returns>
        private String getValidateResult(bool isMatch)
        {
            return isMatch ? "一致" : "<span style = \"color:#FF0000;\">不一致</span>";
        }
    }
}